name: Despliegue Automático Landing Cirux

on:
  push:
    branches:
      - master # Cambia esto si tu rama principal es 'master' o 'develop'

jobs:
  deploy:
    # Usamos la etiqueta 'self-hosted' para que corra directamente en el entorno del runner
    runs-on: self-hosted

    steps:
      - name: Descargar código del repositorio
        uses: actions/checkout@v4

      - name: Sincronizar archivos al directorio de producción
        run: |
          echo "Iniciando actualización en /cirux..."
          # rsync es ideal porque solo copia los archivos modificados
          # Excluimos carpetas de Git y flujos para mantener limpio el destino
          rsync -avz --delete --exclude='.git' --exclude='.gitea' ./ /cirux/
          echo "¡Despliegue completado con éxito!"
